## com.google.appengine.api.xmpp
Class JID

    java.lang.Object
      com.google.appengine.api.xmpp.JID

    public final class JID

extends java.lang.Object

Object representing a single Jabber ID.

Constructor Summary
`JID(java.lang.String id)`

Method Summary
`java.lang.String` `getId()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JID

    public JID(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`